import { AdapterMetadata } from "./adapters/index.js";
export declare const Adapters: {
    readonly google: () => {
        start(config: {
            clientID: string;
            clientSecret: string;
            scopes?: string[] | undefined;
        }): Promise<import("aws-lambda").APIGatewayProxyResultV2<never>>;
    };
};
declare type SuccessPayload = {
    [key in keyof AdapterMetadata]: {
        type: key;
    } & AdapterMetadata[key];
};
declare type Provider = {
    [key in keyof AdapterMetadata]: {
        type: key;
        config: (() => AdapterMetadata[key]["config"]) | AdapterMetadata[key]["config"];
        onSuccess: (input: SuccessPayload[key]) => void;
    };
}[keyof SuccessPayload];
interface Config {
    providers: Record<string, Provider>;
}
export declare function handle<C extends Config>(config: C): C;
export {};
